Index: pbx.c
===================================================================
RCS file: /usr/cvsroot/asterisk/pbx.c,v
retrieving revision 1.245
diff -u -u -r1.245 pbx.c
--- pbx.c	18 May 2005 01:49:12 -0000	1.245
+++ pbx.c	26 May 2005 14:27:30 -0000
@@ -5443,7 +5443,12 @@
 		ptr2 = ptr1;
 		/* Separate the Application data ptr1 is the time spec ptr2 is the app|data*/
 		strsep(&ptr2,"?");
-		if (ast_build_timing(&timing, ptr1) && ast_check_timing(&timing)) {
+		if(!(res = ast_build_timing(&timing, ptr1))) {
+			ast_log(LOG_WARNING, "Invalid Time Spec: %s\nCorrect usage: %s\n", ptr1, usage);
+			res = -1;
+		}
+		
+		if (ast_check_timing(&timing)) {
 			if (ptr2) {
 				/* ptr2 is now the app name 
 				   we're done with ptr1 now so recycle it and use it to point to the app args*/
@@ -5461,9 +5466,6 @@
 			} else {
 				ast_log(LOG_WARNING, "%s\n", usage);
 			}
-		} else {
-			ast_log(LOG_WARNING, "Invalid Time Spec: %s\nCorrect usage: %s\n", ptr1, usage);
-			res = -1;
 		}
 	} else {
 		ast_log(LOG_ERROR, "Memory Error!\n");
